package com.yeejoin.precontrol.common.enums;

/**
 * 合格阶段
 * 
 * @author Admin
 *
 */
public enum QualifiedStageEnum {

	/*
	 * 无考试
	 */
	NONE("无", 0),
	/*
	 * 三级安全考试合格
	 */
	THREE_LEVEL_QULIFIED("三级安全考试合格", 1);

	private String label;
	private Integer value;

	QualifiedStageEnum(String label, Integer value) {
		this.label = label;
		this.value = value;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public Integer getValue() {
		return value;
	}

	public void setValue(Integer value) {
		this.value = value;
	}

	public static String getLabelByValue(Integer value) {
		String label = null;
		for (QualifiedStageEnum type : QualifiedStageEnum.values()) {
			if (type.getValue().equals(value)) {
				label = type.getLabel();
				break;
			}
		}
		return label;
	}
}
